> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation

> Get a conversation with all messages

Get one conversation with its full message history, the originating campaign or sequence context, and the subscriber's details.

## Request

<ParamField path="conversationId" type="string" required>
  Conversation ID.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/conversations/conv_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "conversation": {
      "id": "conv_abc123",
      "companyId": "comp_abc123",
      "subscriberId": "sub_abc123",
      "subscriberEmail": "user@example.com",
      "subscriberName": "John Doe",
      "subject": "Re: A quick update",
      "status": "open",
      "messageCount": 2,
      "lastMessageAt": "2026-06-11T09:30:00.000Z",
      "lastMessageBy": "subscriber",
      "hasUnread": true,
      "initialEmailSendId": "send_abc123",
      "initialCampaignId": "camp_abc123",
      "initialAutomationNodeId": null,
      "createdAt": "2026-06-10T15:00:00.000Z",
      "updatedAt": "2026-06-11T09:30:00.000Z",
      "expiresAt": null,
      "messages": [
        {
          "id": "msg_abc123",
          "type": "inbound",
          "subject": "Re: A quick update",
          "bodyText": "Thanks, this is great!",
          "bodyHtml": null,
          "fromEmail": "user@example.com",
          "fromName": "John Doe",
          "fromUserId": null,
          "attachments": [],
          "isRead": false,
          "readAt": null,
          "readBy": null,
          "deliveryStatus": null,
          "deliveredAt": null,
          "createdAt": "2026-06-11T09:30:00.000Z"
        }
      ],
      "context": {
        "type": "campaign",
        "campaignId": "camp_abc123",
        "campaignName": "April Launch",
        "automationNodeId": null,
        "automationName": null,
        "initialEmailSubject": "A quick update"
      },
      "subscriber": {
        "id": "sub_abc123",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "tags": ["premium"],
        "customAttributes": { "plan": "pro" }
      }
    }
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Unauthorized"
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Conversation not found"
  }
  ```
</ResponseExample>
